misagent_client_free
misagent_client_new
misagent_client_start_service
misagent_client_t
misagent_copy
misagent_copy_all
misagent_error_t
misagent_get_status_code
misagent_install
misagent_remove
MISAGENT_SERVICE_NAME

## misagent_client_start_service()

LIBIMOBILEDEVICE_API misagent_error_t misagent_client_start_service | ( | idevice_t | device,
|  | misagent_client_t * | client,
|  | const char * | label )

Starts a new misagent service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated misagent_client_t upon successful return. Must be freed using misagent_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  MISAGENT_E_SUCCESS on success, or an MISAGENT_E_* error code otherwise.